"""remove remnants of capability steps

Revision ID: 91f96bd53b5b
Revises: 0b12fe010462
Create Date: 2021-10-15 11:32:03.672887

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "91f96bd53b5b"
down_revision = "0b12fe010462"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        ALTER TABLE capabilities DROP COLUMN capability_steps;
        ALTER TABLE capability_executions DROP COLUMN steps;
        ALTER TABLE capability_executions DROP COLUMN current_step;
        """
    )


def downgrade():

    op.execute(
        """
        ALTER TABLE capabilities ADD COLUMN capability_steps varchar;
        ALTER TABLE capability_executions ADD COLUMN steps varchar;
        ALTER TABLE capability_executions ADD COLUMN current_step numeric DEFAULT 0;
        """
    )
